from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
import imp
func = imp.load_source('func', 'tests/flattener_dicos/../eosfunc/test.py')
option_3 = ChoiceOption(properties=frozenset({'force_default_on_freeze', 'frozen', 'hidden', 'mandatory', 'normal'}), name='mode_conteneur_actif', doc='No change', multi=False, default='oui', values=('oui', 'non'))
option_5 = NetmaskOption(properties=frozenset({'mandatory'}), name='nut_monitor_netmask', doc='Masque de l\'IP du réseau de l\'esclave', multi=True)
option_6 = NetworkOption(properties=frozenset({'basic', 'mandatory'}), name='nut_monitor_host', doc='Adresse IP du réseau de l\'esclave', multi=True)
option_4 = Leadership(name='nut_monitor_netmask', doc='Masque de l\'IP du réseau de l\'esclave', properties=frozenset({'basic'}), children=[option_5, option_6])
option_2 = OptionDescription(name='general', doc='général', properties=frozenset({'basic'}), children=[option_3, option_4])
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_11 = StrOption(name='interface', doc='interface', multi=False, default='auto')
option_12 = SymLinkOption(name='name', opt=option_6)
option_13 = SymLinkOption(name='netmask', opt=option_5)
option_14 = BoolOption(name='activate', doc='activate', multi=False, default=True)
option_10 = OptionDescription(name='nut_monitor_host', doc='nut_monitor_host', children=[option_11, option_12, option_13, option_14])
option_9 = OptionDescription(name='ips', doc='ips', children=[option_10])
option_8 = OptionDescription(name='ntp', doc='ntp', children=[option_9])
option_8.impl_set_information("manage", True)
option_7 = OptionDescription(name='services', doc='services', properties=frozenset({'hidden'}), children=[option_8])
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1, option_7])
